#! /bin/sh

set -e

MYAPPDIR=$1
[ -n "$MYAPPDIR" ] || exit 1

. $MYAPPDIR/config

PKGDIR="$MYAPPDIR/package"

URL=$(echo "$URL"|sed 's!\([]\*\$\/&[]\)!\\\1!g')

mkdir -p $PKGDIR

sed -e "s/#APP#/${CLICKNAME}/" \
	-e "s/#APPCOMMENT#/${UICOMMENT}/g" \
	-e "s/#APPVER#/${VER}/" manifest.json >$PKGDIR/manifest.json
sed -e "s/#APPNAME#/$UINAME/" \
	-e "s/#APPCOMMENT#/$UICOMMENT/g" \
	-e "s/#APPURL#/$URL/" \
	-e "s/#APPMATCH#/$MATCH/" app.desktop >$PKGDIR/app.desktop
cp app.json $PKGDIR/app.json
cd $MYAPPDIR
click build package/
cd -
